/*
 *  class160.cpp
 *  class implementation
 */

#include <iostream>
#include <string>

#include	"myfuncts.h"
#include	"class160.h"

// Constructors
House::House()
{
    _name = "Unknown";
    _location = "Unknown";
    _price = 0.0;
    _recommendation = false;
}

House::House(string name)
{
    _name = "Unknown";
    _location = "Unknown";
    _price = 0.0;
    _recommendation = false;
}

House::House(string name, string location)
{
    _name = name;
    _location = location;
    _price = 0.0;
    _recommendation = false;
}

House::House(string name, string location, double price)
{
     _name = name;
     _location = location;
     _price = price;
     _recommendation = false;
}

// Access functions
string House::get_name(string _name) const
{
    return (_name);
}

string House::get_location(string _location) const
{
    return (_location);
}

double House::get_price(double _price) const
{
    return (_price);
}

bool House::get_recommendation(bool _recommendation) const
{
    return (_recommendation);
}

// Set functions
string House::set_name(string name)
{
    _name = (name);
}

string House::set_location(string location)
{
    _location = (location);
}

double House::set_price(double price)
{
    _price = (price);
}

// Member Functions
void House::recommend(string _name)
{
    string recommendation;

    cout << "\nWould you recommend " << _name << "? ";
    cin >> recommendation;
    _recommendation = prompt_yn(recommendation);
}

void House::output_house()
{
    cout << setw(17) << _name;
    cout << setw(10);

    if (_recommendation = true)
         cout << "Rec.";
    else
         cout << "Not Rec.";

    cout << setw(8) << "$" << _price;
    cout << _location << endl;

}
