/*
 *  class160.h
 *  class declaration file
 */

class House
{
public:
	// Constructors
	House::House();
 	House::House(string name);
	House::House(string name, string location);
	House::House(string name, string location, double price);

	// Access functions
	string House::get_name(string _name) const;
	string House::get_location(string _location) const;
	double House::get_price(double _price) const;
	bool House::get_recommendation(bool _recommendation) const;

	// Set functions
	string House::set_name(string name);
	string House::set_location(string location);
	double House::set_price(double price);

	// Member Functions
	void House::recommend(string _name);
	void House::output_house();

private:
	string _name;
	string _location;
	double _price;
	bool _recommendation;
};
